Index: trunk/tools/documentation/plotting/2Dshad.html
===================================================================
--- trunk/tools/documentation/plotting/2Dshad.html	(revision 1210)
+++ trunk/tools/documentation/plotting/2Dshad.html	(revision 1210)
@@ -0,0 +1,24 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <TITLE>PyNCplot: plotting 2D shadow</TITLE>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      2D shadow plot
+    </DIV>
+    <DIV CLASS="valimg">
+      <IMG WIDTH="100%" SRC="figs/tas_rainbow_auto.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+
+    </DIV>
+    <DIV CLASS="valins">
+      $ python drawing.py -o draw_2D_shad -f wrfout_d01_2001-11-11_00:00:00 -S 'tas:west_east|-1,south_north|-1,Time|2:XLONG:XLAT:auto:rainbow,auto,auto:Srange,Srange:tas|at|2001-11-11|02|UTC:png:None:cyl,l:True' -v T2
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/2Dshad_cont.html
===================================================================
--- trunk/tools/documentation/plotting/2Dshad_cont.html	(revision 1210)
+++ trunk/tools/documentation/plotting/2Dshad_cont.html	(revision 1210)
@@ -0,0 +1,24 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <TITLE>PyNCplot: plotting 2D shadow contour</TITLE>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      2D shadow contour plot
+    </DIV>
+    <DIV CLASS="valimg">
+      <IMG WIDTH="100%" SRC="figs/huss-tas_Blues_shad-cont.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+
+    </DIV>
+    <DIV CLASS="valins">
+      $ python drawing.py -o draw_2D_shad_cont -f wrfout_d01_2001-11-11_00:00:00 -S 'huss,tas:west_east|-1,south_north|-1,Time|2:Time|2:XLONG:XLAT:auto:Blues,auto,auto:fixc,r:%3g:Srange,Srange:260,300,9:huss|&|tas|at|2001-11-11|02|UTC:png:None:cyl,c:True' -v Q2,T2
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/2Dshad_cont_time.html
===================================================================
--- trunk/tools/documentation/plotting/2Dshad_cont_time.html	(revision 1210)
+++ trunk/tools/documentation/plotting/2Dshad_cont_time.html	(revision 1210)
@@ -0,0 +1,24 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <TITLE>PyNCplot: plotting 2D shadow_time</TITLE>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      2D shadow time plot
+    </DIV>
+    <DIV CLASS="valimg">
+      <IMG WIDTH="100%" SRC="figs/huss-tas_shad_cont_time_BuPu.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+
+    </DIV>
+    <DIV CLASS="valins">
+      $ python drawing.py -o draw_2D_shad_cont_time -f wrfout_d01_2001-11-11_00:00:00 -S 'hfls,tas;west_east|-1,south_north|27,Time|-1;south_north|27;XLONG;WRFtime;auto;BuPu,auto,auto;fixc,y;%3g;Srange,Srange;260,300,9;huss|&|tas|evolution|at|south_north=27;png;None;WRFtime|hours!since!1949-12-01|exct,1,h|$%d^{%H}$|date!($[DD]^{[HH]}$);True' -v LH,T2
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/2Dshad_time.html
===================================================================
--- trunk/tools/documentation/plotting/2Dshad_time.html	(revision 1210)
+++ trunk/tools/documentation/plotting/2Dshad_time.html	(revision 1210)
@@ -0,0 +1,24 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <TITLE>PyNCplot: plotting 2D shadow_time</TITLE>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      2D shadow time plot
+    </DIV>
+    <DIV CLASS="valimg">
+      <IMG WIDTH="100%" SRC="figs/hurs_Blues_auto_time.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+
+    </DIV>
+    <DIV CLASS="valins">
+      $ python drawing.py -o draw_2D_shad_time -f wrfout_d01_2001-11-11_00:00:00 -S 'hurs~west_east|-1,south_north|27,Time|-1~XLONG~WRFtime~auto~Blues,auto,auto~Srange,Srange~tas|evolution|at|south_north=27~png~None~WRFtime|hours!since!1949-12-01|exct,1,h|$%d^{%H}$|date!($[DD]^{[HH]}$)~True' -v Q2
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/intro.html
===================================================================
--- trunk/tools/documentation/plotting/intro.html	(revision 1210)
+++ trunk/tools/documentation/plotting/intro.html	(revision 1210)
@@ -0,0 +1,67 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="valheader">
+      Plotting functions
+    </DIV>
+    <DIV CLASS="valintro">
+      List of available functions to plot figures. Most of them follow a similar structure:<BR>
+      <!--DIV CLASS="codetxt"-->
+      <PRE><CODE>
+        $ python drawing.py -o [figure] -f [file(or files)] -S [values] -v [variables]
+      </CODE></PRE>
+      <!--/DIV-->
+      One can obtain all the list of plots and their instructions by demanding to the script:
+      <PRE><CODE>
+        $ python drawing.py -o list_grahics
+      </CODE></PRE>
+      For almost all figures, one can obtain all the help of a specific plot by:
+      <PRE><CODE>
+        $ python drawing.py -o [figure] -S h
+      </CODE></PRE>
+      The plotting script has two steps:
+      <OL>
+        <LI><SPAN CLASS="codetxt">drawing.py:</SPAN> Main script which gets the data from files
+        <LI><SPAN CLASS="codetxt">drawing_tools.py:</SPAN> Script which draw the figure and its used by <SPAN CLASS="codetxt">drawing.py</SPAN>
+        <LI><SPAN CLASS="codetxt">generic_tools.py:</SPAN> Script which contains generic operations and it is used by both scripts</LI>
+      </OL>
+      Available plots:
+      <UL>
+       <LI> create_movie: Function to create a movie assuming ImageMagick installed! </LI>
+       <LI> draw_2D_shad: plotting a fields with shading </LI>
+       <LI> draw_2D_shad_cont: plotting two fields, one with shading and the other with contour lines </LI>
+       <LI> draw_2D_shad_cont_time: plotting two fields, one with shading and the other with contour lines being one of the dimensions of time characteristics </LI>
+       <LI> draw_2D_shad_line: plotting a fields with shading and another with line </LI>
+       <LI> draw_2D_shad_line_time: plotting a fields with shading and a line with time values </LI>
+       <LI> draw_2D_shad_time: plotting a fields with shading with time values </LI>
+       <LI> draw_2lines: Fucntion to plot two lines in different axes (x/x2 or y/y2) </LI>
+       <LI> draw_2lines_time: Function to plot two time-lines in different axes (x/x2 or y/y2) </LI>
+       <LI> draw_barbs: Function to plot wind barbs </LI>
+       <LI> draw_basins: Function to plot river basins with their discharge vector and basins id (from 'routing.nc') </LI>
+       <LI> draw_lines: Function to draw different lines at the same time from different files </LI>
+       <LI> draw_lines_time: Function to draw different lines at the same time from different files with times </LI>
+       <LI> draw_Neighbourghood_evol: Function to draw the temporal evolution of a neighbourghood around a point </LI>
+       <LI> draw_points: Function to plot a series of points </LI>
+       <LI> draw_points_lonlat: Function to plot a series of lon/lat points </LI>
+       <LI> draw_ptZvals: Function to plot a given list of points and values  </LI>
+       <LI> draw_timeSeries: Function to draw a time-series </LI>
+       <LI> draw_topo_geogrid: plotting geo_em.d[nn].nc topography from WPS files </LI>
+       <LI> draw_topo_geogrid_boxes: plotting different geo_em.d[nn].nc topography from WPS files </LI>
+       <LI> draw_trajectories: Function to draw different trajectories at the same time </LI>
+       <LI> draw_vals_trajectories: Function to draw values from the outputs from 'compute_tevolboxtraj' </LI>
+       <LI> draw_vectors: Function to plot wind vectors </LI>
+       <LI> movievalslice: Function to provide variable slice according to a geneation of a movie </LI>
+       <LI> variable_values: Function to give back values for a given variable </LI>
+       <LI> draw_river_desc: Function to plot rivers' description from ORCHIDEE's routing scheme </LI>
+       <LI> draw_subbasin: Function to plot subbasin from 'routnig.nc' ORCDHIEE </LI>
+       <LI> draw_vertical_levels: plotting vertical levels distribution </LI>
+      </UL>
+    </DIV>
+    
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/plotting.html
===================================================================
--- trunk/tools/documentation/plotting/plotting.html	(revision 1210)
+++ trunk/tools/documentation/plotting/plotting.html	(revision 1210)
@@ -0,0 +1,19 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="colmenu">
+      <A CLASS="lc" HREF="2Dshad.html" TARGET="value">2D shadow</A><BR>
+      <A CLASS="lc" HREF="2Dshad_time.html" TARGET="value">2D shadow time</A><BR>
+      <A CLASS="lc" HREF="2Dshad_cont.html" TARGET="value">2D shadow contour</A><BR>
+      <A CLASS="lc" HREF="2Dshad_cont_time.html" TARGET="value">2D shadow contour time</A><BR>
+    </DIV>
+    <DIV CLASS="valmenu">
+      <IFRAME SRC="intro_plotting.html" NAME="value" FRAMEBORDER=0 WIDTH="100%" HEIGHT="100%"></IFRAME>
+    </DIV>
+  </BODY>
+</HTML>
+