Index: trunk/tools/documentation/nctransform/field_stats.html
===================================================================
--- trunk/tools/documentation/nctransform/field_stats.html	(revision 1212)
+++ trunk/tools/documentation/nctransform/field_stats.html	(revision 1212)
@@ -0,0 +1,31 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <TITLE>PyNCplot: plotting 2D shadow</TITLE>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      field_stats
+    </DIV>
+    <DIV CLASS="valimg">
+      Function to retrieve statistics from a field
+    </DIV>
+    <DIV CLASS="valhelp">
+      field_stats(values, ncfile, varn)<BR>
+      [values]= [stats],[fillVals]<BR>
+        [stats]: kind of statistics <BR>
+          'full': all statistics given variable<BR>
+        [fillVals]: ':' list of _fillValues ('None' for any)<BR>
+        [countVals]: ':' list of Values@cond to use to count conditions ('None' for any)<BR>
+      [ncfile]= name of the netCDF file to use<BR>
+      [varn]= variable name to use ('all' for all variables)<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python nc_var.py -o field_stats -S 'full,None,None' -f startphy.nc -v all
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/nctransform/intro.html
===================================================================
--- trunk/tools/documentation/nctransform/intro.html	(revision 1212)
+++ trunk/tools/documentation/nctransform/intro.html	(revision 1212)
@@ -0,0 +1,130 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="valheader">
+      Plotting functions
+    </DIV>
+    <DIV CLASS="valintro">
+      List of available functions to plot figures. Most of them follow a similar structure:<BR>
+      <PRE><CODE>
+        $ python nc_var.py -o [operation] -f [file(or files)] -S [values] -v [variables]
+      </CODE></PRE>
+      One can obtain all the list of operations and their instructions by demanding to the script:
+      <PRE><CODE>
+        $ python nc_var.py -o list_operations
+      </CODE></PRE>
+      For almost all operations, one can obtain all the help of a specific operation by:
+      <PRE><CODE>
+        $ python nc_var.py -o [operation] -S h
+      </CODE></PRE>
+      The netcdf-managing script has two steps:
+      <OL>
+       <LI><SPAN CLASS="codetxt">nc_var.py:</SPAN> Main script which mainly gets the values
+       <LI><SPAN CLASS="codetxt">nc_var_tools.py:</SPAN> Script which perform the operations and its used by <SPAN CLASS="codetxt">nc_var.py</SPAN>
+       <LI><SPAN CLASS="codetxt">generic_tools.py:</SPAN> Script which contains generic operations and it is used by both scripts</LI>
+      </OL>
+      Available funtions:
+      <UL>
+        <LI>addvals: Function to add values to a given variable at a given dimension</LI>
+        <LI>CDO_toCF: Function to pass a CDO output file to CF-conventions</LI>
+        <LI>chdimname: Changing the name of the dimension</LI>
+        <LI>changevartype: Function to change the type of a variable (when possible)</LI>
+        <LI>checkallvars: Function to check all variables of a file</LI>
+        <LI>checkAllValues: Function to check for variables with along all their dimensions with the same value in a file</LI>
+        <LI>checkNaNs: Function to check for NaN values over all variables in a file</LI>
+        <LI>chgtimestep: Function to change the values of a given time-step of a variable inside a netCDF for values from a nother file</LI>
+        <LI>chvarname: Changing the name of the variable</LI>
+        <LI>cleaning_varsfile: Function to keep a list of varibales from a file</LI>
+        <LI>compute_deaccum: Function to compute deaccum: deaccumulation of a variable (VAR[t+1]-VAR[t])</LI>
+        <LI>compute_opersvarsfiles: Function to compute opersvarfiles: operation of variables from different files</LI>
+        <LI>compute_opervaralltime: Function to compute opervaralltime: operation of variable successible allover the time-steps</LI>
+        <LI>compute_opervartimes: Function to compute opervartimes: operation of variable for a given sub-set of time-steps</LI>
+        <LI>compute_tevolboxtraj: Function to compute tevolboxtraj: temporal evolution at a given point along a box following a trajectory</LI>
+        <LI>computevar_model: Function to provide the way to compute a CF-variable providing its name</LI>
+        <LI>DatesFiles: Function to find different time values on a series of WRF files in a folder</LI>
+        <LI>DataSetSection: Function to get a section (values along a dimension) of a given data-set</LI>
+        <LI>DataSetSection_multidims: Function to get a section (values along multiple dimensions) of a given data-set</LI>
+        <LI>DataSetSection_multivars: Function to get a section (values along multiple variables) of a given data-set</LI>
+        <LI>dimToUnlimited: Operation to create an unlimited dimension from an existing one</LI>
+        <LI>dimVar_creation: Function to add a 1D variable with the size of a given dimension in a file</LI>
+        <LI>fattradd: Adding attributes from a reference file</LI>
+        <LI>fdimadd: Adding dimension from another reference file </LI>
+        <LI>fgaddattr: Adding global attributes from a reference file</LI>
+        <LI>field_stats: Function to retrieve statistics from a field</LI>
+        <LI>field_stats_dim: Function to retrieve statistics from a field along dimensions</LI>
+        <LI>file_creation: Operation to create a file with one variable with a given set of dimensions</LI>
+        <LI>file_oper_alongdims: Function to operate a file along different dimensions of a variable</LI>
+        <LI>filter_2dim: Function to filter along 2 dimensions (moving grid-box means of a given size) values of the netCDF file</LI>
+        <LI>flipdim: flips the value following one dimension</LI>
+        <LI>fvaradd: Adding variable (and all its attributes and dimensions) from a reference file to a file</LI>
+        <LI>gaddattrk: Add a global attribute to a netCDF caring about the type. Removes previous attribute if it exist</LI>
+        <LI>gaddattr: Add a global attribute to a netCDF. Removes previous attribute if it exist</LI>
+        <LI>get_attribute: Function to get an attribute from a netCDF file</LI>
+        <LI>get_namelist_vars: Function to get namelist-like  values ([varname] = [value]) </LI>
+        <LI>get_Variables: Function to get a list of variables from an existing file</LI>
+        <LI>getvalues_lonlat: Function to retrieve the values from the closest grid point to a set of longitude, latitude values</LI>
+        <LI>grattr: Function to read a global atribute</LI>
+        <LI>grmattr: Removing a global attribute</LI>
+        <LI>idims: Give all the dimensions names of a file</LI>
+        <LI>igattrs: Give all the global attributes of a file</LI>
+        <LI>increaseDimvar: Function to increase with 1 dimension an existing variable within a netcdf file. Values of the variable will be repeated along the new dimension</LI>
+        <LI>isgattrs: Give a single global attribute of a file and its type</LI>
+        <LI>isvattrs: Give a single attribute of a variable</LI>
+        <LI>ivars: Give all the variable names of a file</LI>
+        <LI>ivattrs: Give all the attributes of a variable and its type</LI>
+        <LI>LMDZ_toCF: Function to pass a LMDZ original file to CF-conventions</LI>
+        <LI>maskvar: Function to mask a variable using a mask. It is assumed that mask[...,dimM,dimJ,dimK] and </LI>
+        <LI>model_characteristics: Function to provide major characterisitcs of a given model output</LI>
+        <LI>ncreplace: Function to replace something from a netCDF file</LI>
+        <LI>ncstepdiff: Function to compute differencies between time-steps (deacumulate) a netCDF file</LI>
+        <LI>netcdf_concatenation: Function to concatenate netCDF files for a given set of variables</LI>
+        <LI>netcdf_fold_concatenation: Function to concatenate netCDF files in a given folder for a given set of variables</LI>
+        <LI>netcdf_fold_concatenation_HMT: Function to concatenate netCDF files in a given folder for a given set of variables giving Header, Middle, Tail for the name files</LI>
+        <LI>reproject: Function to reproject values to another one</LI>
+        <LI>Partialmap_Entiremap: Function to transform from a partial global map (e.g.: only land points) to an entire one Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI>Partialmap_EntiremapFor: Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI>Partialmap_EntiremapForExact: Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code with exact location Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI>pinterp: Function to vertically interpolate using subroutines from the p_interp.F90 NCAR program</LI>
+        <LI>remapnn: Function to remap to the nearest neightbor a variable using projection from another file</LI>
+        <LI>seasmean: Function to compute the seasonal mean of a variable</LI>
+        <LI>sellonlatbox: Function to select a lotlan box from a data-set</LI>
+        <LI>sellonlatlevbox: Function to select a lotlan box and a given level from a data-set</LI>
+        <LI>selvar: Function to select a series of variables from a netcdf file. Variables with </LI>
+        <LI>setvar_asciivalues: Function to set de values of a variable with an ASCII file (common </LI>
+        <LI>sorttimesmat: Function to sort the time values of a given file</LI>
+        <LI>spacemean: Function to retrieve a space mean series from a multidimensional variable of a file</LI>
+        <LI>SpatialWeightedMean: Function to compute the spatial mean using weights from a netCDF file</LI>
+        <LI>statcompare_files: Python script to statistically compare two different files</LI>
+        <LI>subbasin: Function to retrieve the subbasin (all the sub-flows untila a given lon,lat)</LI>
+        <LI>submns: Function to retrieve a series of months from a file</LI>
+        <LI>subyrs: Function to retrieve a series of years from a file</LI>
+        <LI>TimeInf: Function to print all the information from the variable time</LI>
+        <LI>time_reset: Function to re-set the time axis of a file</LI>
+        <LI>TimeSplitmat: Function to transform a file with CFtimes to a matrix [Nyear,Nmonth,Nday,Nhour,Nminute,Nsecond] </LI>
+        <LI>timemean: Function to retrieve a time mean series from a multidimensional variable of a file</LI>
+        <LI>valmod: Function to modify the value of a variable</LI>
+        <LI>valmod_dim: Function to modify the value of a variable at a given dimension and value</LI>
+        <LI>varaddattrk: Add an attribute to a variable caring about the type</LI>
+        <LI>varaddattr: Add an attribute to a variable. Removes previous attribute if it exists</LI>
+        <LI>varaddref: Function to add a variable in an existing file copying characteristics from an existing one</LI>
+        <LI>var_creation: Operation to create a new variable in a file with a given set of dimensions</LI>
+        <LI>varout: Function when we want to output variable values</LI>
+        <LI>varrmattr: Removing an attribute from a variable</LI>
+        <LI>varrm: Removing a variable from a file</LI>
+        <LI>VarVal_FillValue: Function to transform a given value from a given variable to _FillValue in a netCDF file</LI>
+        <LI>vrattr: Function to remove an atribute from a variable</LI>
+        <LI>WRF_d0Nref: Function for the generation of an extra WRF domain from a given one </LI>
+        <LI>WRF_CFlonlat_creation: Function to add a CF-convention longitude/latitude variables in a WRF file</LI>
+        <LI>WRF_CFtime_creation: Function to add a CF-convention time unit in a WRF file</LI>
+        <LI>WRF_CFxtime_creation: Function to add a CF-convention time unit in a WRF file using variable 'XTIME'</LI>
+        <LI>WRF_toCF: Function to pass a WRF original file to CF-conventions</LI>
+      </UL>
+    </DIV>
+    
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/nctransform/nctransform.html
===================================================================
--- trunk/tools/documentation/nctransform/nctransform.html	(revision 1212)
+++ trunk/tools/documentation/nctransform/nctransform.html	(revision 1212)
@@ -0,0 +1,16 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="colmenu">
+      <A CLASS="lc" HREF="field_stats.html" TARGET="value">field_stats</A><BR>
+    </DIV>
+    <DIV CLASS="valmenu">
+      <IFRAME SRC="intro.html" NAME="value" FRAMEBORDER=0 WIDTH="100%" HEIGHT="100%"></IFRAME>
+    </DIV>
+  </BODY>
+</HTML>
+