Index: trunk/tools/documentation/nctransform/field_stats.html
===================================================================
--- trunk/tools/documentation/nctransform/field_stats.html	(revision 1236)
+++ trunk/tools/documentation/nctransform/field_stats.html	(revision 1237)
@@ -15,9 +15,9 @@
     <DIV CLASS="valhelp">
       field_stats(values, ncfile, varn)<BR>
-      [values]= [stats],[fillVals]<BR>
-        [stats]: kind of statistics <BR>
-          'full': all statistics given variable<BR>
-        [fillVals]: ':' list of _fillValues ('None' for any)<BR>
-        [countVals]: ':' list of Values@cond to use to count conditions ('None' for any)<BR>
+      [values]= [stats],[fillVals],[countVals]<BR>
+      &nbsp;&nbsp;[stats]: kind of statistics <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;'full': all statistics given variable<BR>
+      &nbsp;&nbsp;[fillVals]: ':' list of _fillValues ('None' for any)<BR>
+      &nbsp;&nbsp;[countVals]: ':' list of Values@cond to use to count conditions ('None' for any)<BR>
       [ncfile]= name of the netCDF file to use<BR>
       [varn]= variable name to use ('all' for all variables)<BR>
Index: trunk/tools/documentation/nctransform/intro.html
===================================================================
--- trunk/tools/documentation/nctransform/intro.html	(revision 1236)
+++ trunk/tools/documentation/nctransform/intro.html	(revision 1237)
@@ -7,8 +7,8 @@
   <BODY>
     <DIV CLASS="valheader">
-      Plotting functions
+      netCDF managing functions
     </DIV>
     <DIV CLASS="valintro">
-      List of available functions to plot figures. Most of them follow a similar structure:<BR>
+      List of available functions to manage netCDD files. Most of them follow a similar structure:<BR>
       <PRE><CODE>
         $ python nc_var.py -o [operation] -f [file(or files)] -S [values] -v [variables]
@@ -36,5 +36,5 @@
       </OL>
       In order to use some of the functions, is necessary to compile previously the related Fortran subroutines and link them to python. It is already prepared for different computers via specific <SPAN CLASS="codetxt">Makefile.[machine].[compiler]</SPAN><BR>
-      Available funtions:
+      Available functions:
       <UL>
         <LI><SPAN CLASS="codetxt">addvals:</SPAN> Function to add values to a given variable at a given dimension</LI>
@@ -47,6 +47,7 @@
         <LI><SPAN CLASS="codetxt">chgtimestep:</SPAN> Function to change the values of a given time-step of a variable inside a netCDF for values from a nother file</LI>
         <LI><SPAN CLASS="codetxt">chvarname:</SPAN> Changing the name of the variable</LI>
-        <LI><SPAN CLASS="codetxt">cleaning_varsfile:</SPAN> Function to keep a list of varibales from a file</LI>
-        <LI><SPAN CLASS="codetxt">DatesFiles:</SPAN> Function to find different time values on a series of WRF files in a folder</LI>
+        <LI><SPAN CLASS="codetxt">cleaning_varsfile:</SPAN> Function to keep a list of variabales from a file</LI>
+        <LI><SPAN CLASS="codetxt">compute_opersvarsfiles:</SPAN> Function to compute opersvarfiles: operation of variables from different files (OPER1.FILE1_VAR1 OPER2.FILE2_VAR2), operations are going to be sequentially</LI>
+      made<LI><SPAN CLASS="codetxt">DatesFiles:</SPAN> Function to find different time values on a series of WRF files in a folder</LI>
         <LI><SPAN CLASS="codetxt">DataSetSection:</SPAN> Function to get a section (values along a dimension) of a given data-set</LI>
         <LI><SPAN CLASS="codetxt">DataSetSection_multidims:</SPAN> Function to get a section (values along multiple dimensions) of a given data-set</LI>
@@ -70,5 +71,5 @@
         <LI><SPAN CLASS="codetxt">get_Variables:</SPAN> Function to get a list of variables from an existing file</LI>
         <LI><SPAN CLASS="codetxt">getvalues_lonlat:</SPAN> Function to retrieve the values from the closest grid point to a set of longitude, latitude values</LI>
-        <LI><SPAN CLASS="codetxt">grattr:</SPAN> Function to read a global atribute</LI>
+        <LI><SPAN CLASS="codetxt">grattr:</SPAN> Function to read a global attribute</LI>
         <LI><SPAN CLASS="codetxt">grmattr:</SPAN> Removing a global attribute</LI>
         <LI><SPAN CLASS="codetxt">idims:</SPAN> Give all the dimensions names of a file</LI>
@@ -81,26 +82,26 @@
         <LI><SPAN CLASS="codetxt">LMDZ_toCF:</SPAN> Function to pass a LMDZ original file to CF-conventions</LI>
         <LI><SPAN CLASS="codetxt">maskvar:</SPAN> Function to mask a variable using a mask. It is assumed that mask[...,dimM,dimJ,dimK] and </LI>
-        <LI><SPAN CLASS="codetxt">model_characteristics:</SPAN> Function to provide major characterisitcs of a given model output</LI>
+        <LI><SPAN CLASS="codetxt">model_characteristics:</SPAN> Function to provide major characteristics of a given model output</LI>
         <LI><SPAN CLASS="codetxt">ncreplace:</SPAN> Function to replace something from a netCDF file</LI>
-        <LI><SPAN CLASS="codetxt">ncstepdiff:</SPAN> Function to compute differencies between time-steps (deacumulate) a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">ncstepdiff:</SPAN> Function to compute differences between time-steps (de-accumulate) a netCDF file</LI>
         <LI><SPAN CLASS="codetxt">netcdf_concatenation:</SPAN> Function to concatenate netCDF files for a given set of variables</LI>
         <LI><SPAN CLASS="codetxt">netcdf_fold_concatenation:</SPAN> Function to concatenate netCDF files in a given folder for a given set of variables</LI>
         <LI><SPAN CLASS="codetxt">netcdf_fold_concatenation_HMT:</SPAN> Function to concatenate netCDF files in a given folder for a given set of variables giving Header, Middle, Tail for the name files</LI>
-        <LI><SPAN CLASS="codetxt">reproject:</SPAN> Function to reproject values to another one</LI>
+        <LI><SPAN CLASS="codetxt">reproject:</SPAN> Function to re-project values to another one</LI>
         <LI><SPAN CLASS="codetxt">Partialmap_Entiremap:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
         <LI><SPAN CLASS="codetxt">Partialmap_EntiremapFor:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
         <LI><SPAN CLASS="codetxt">Partialmap_EntiremapForExact:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code with exact location Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
         <LI><SPAN CLASS="codetxt">pinterp:</SPAN> Function to vertically interpolate using subroutines from the p_interp.F90 NCAR program</LI>
-        <LI><SPAN CLASS="codetxt">remapnn:</SPAN> Function to remap to the nearest neightbor a variable using projection from another file</LI>
+        <LI><SPAN CLASS="codetxt">remapnn:</SPAN> Function to remap to the nearest neighbor a variable using projection from another file</LI>
         <LI><SPAN CLASS="codetxt">seasmean:</SPAN> Function to compute the seasonal mean of a variable</LI>
         <LI><SPAN CLASS="codetxt">sellonlatbox:</SPAN> Function to select a lotlan box from a data-set</LI>
         <LI><SPAN CLASS="codetxt">sellonlatlevbox:</SPAN> Function to select a lotlan box and a given level from a data-set</LI>
         <LI><SPAN CLASS="codetxt">selvar:</SPAN> Function to select a series of variables from a netcdf file. Variables with </LI>
-        <LI><SPAN CLASS="codetxt">setvar_asciivalues:</SPAN> Function to set de values of a variable with an ASCII file (common </LI>
+        <LI><SPAN CLASS="codetxt">setvar_asciivalues:</SPAN> Function to set the values of a variable with an ASCII file (common </LI>
         <LI><SPAN CLASS="codetxt">sorttimesmat:</SPAN> Function to sort the time values of a given file</LI>
         <LI><SPAN CLASS="codetxt">spacemean:</SPAN> Function to retrieve a space mean series from a multidimensional variable of a file</LI>
         <LI><SPAN CLASS="codetxt">SpatialWeightedMean:</SPAN> Function to compute the spatial mean using weights from a netCDF file</LI>
         <LI><SPAN CLASS="codetxt">statcompare_files:</SPAN> Python script to statistically compare two different files</LI>
-        <LI><SPAN CLASS="codetxt">subbasin:</SPAN> Function to retrieve the subbasin (all the sub-flows untila a given lon,lat)</LI>
+        <LI><SPAN CLASS="codetxt">subbasin:</SPAN> Function to retrieve the subbasin (all the sub-flows until a a given lon,lat)</LI>
         <LI><SPAN CLASS="codetxt">submns:</SPAN> Function to retrieve a series of months from a file</LI>
         <LI><SPAN CLASS="codetxt">subyrs:</SPAN> Function to retrieve a series of years from a file</LI>
@@ -119,5 +120,5 @@
         <LI><SPAN CLASS="codetxt">varrm:</SPAN> Removing a variable from a file</LI>
         <LI><SPAN CLASS="codetxt">VarVal_FillValue:</SPAN> Function to transform a given value from a given variable to _FillValue in a netCDF file</LI>
-        <LI><SPAN CLASS="codetxt">vrattr:</SPAN> Function to remove an atribute from a variable</LI>
+        <LI><SPAN CLASS="codetxt">vrattr:</SPAN> Function to remove an attribute from a variable</LI>
         <LI><SPAN CLASS="codetxt">WRF_d0Nref:</SPAN> Function for the generation of an extra WRF domain from a given one </LI>
         <LI><SPAN CLASS="codetxt">WRF_CFlonlat_creation:</SPAN> Function to add a CF-convention longitude/latitude variables in a WRF file</LI>
Index: trunk/tools/documentation/nctransform/nctransform.html
===================================================================
--- trunk/tools/documentation/nctransform/nctransform.html	(revision 1236)
+++ trunk/tools/documentation/nctransform/nctransform.html	(revision 1237)
@@ -7,4 +7,5 @@
   <BODY>
     <DIV CLASS="colmenu">
+      <A CLASS="lc" HREF="compute_opersvarsfiles.html" TARGET="value">compute_opersvarsfiles</A><BR>
       <A CLASS="lc" HREF="field_stats.html" TARGET="value">field_stats</A><BR>
     </DIV>
Index: trunk/tools/nc_var.py
===================================================================
--- trunk/tools/nc_var.py	(revision 1236)
+++ trunk/tools/nc_var.py	(revision 1237)
@@ -32,4 +32,6 @@
 ## e.g. # nc_var.py -o field_stats_dim -f /home/lluis/PY/wrfout_d01_2001-11-11_00:00:00 -S 'full,None,None,west_east,XLONG,False' -v 'T2'
 ## e.g. # nc_var.py -o compute_opersvarsfiles -S 'west_east|XLONG|-1;south_north|XLAT|-1;Time|Times|3@add|wrfout_d01_2001-11-11_00:00:00|T2%west_east|XLONG|-1;south_north|XLAT|-1;Time|Times|3@subc,273.15|wrfout_d01_2001-11-11_00:00:00|None' -v 'tempC,air!temperature,C'
+## e.g. # nc_var.py -o compute_opersvarsfiles -S 'lon|lon|-1;lat|lat|-1;time_counter|time_counter|-1@forwrdderiv,1,1,2|/ccc/store/cont003/gen7593/fitaborl/etudes/DynamicoESM/aquaplanet/AR40/19800101000000-19810101000000/histday.nc|t2m' -v 'tasderiv,x-derivative|of|air|temperature,K
+
 
 from optparse import OptionParser
Index: trunk/tools/nc_var_tools.py
===================================================================
--- trunk/tools/nc_var_tools.py	(revision 1236)
+++ trunk/tools/nc_var_tools.py	(revision 1237)
@@ -6884,6 +6884,6 @@
 def compute_opersvarsfiles(values, varinfo):
     """ Function to compute opersvarfiles: operation of variables from different files
-      (OPER1.FILE1_VAR1 OPER2.FILE2_VAR2), operations are going to be secuentially 
-      made
+      (OPER1.FILE1_VAR1 OPER2.FILE2_VAR2), operations are going to be sequentially made
+      compute_opersvarsfiles(values, varinfo)
         values= '%' separated list of dimension ranges and file,operation,variable to compute
           [dimranges1]@[operfile1var]%[dimranges2]@[operfile2var]%[...[dimrangesM]@[operfileMvar]]