Index: trunk/tools/documentation/index.html
===================================================================
--- trunk/tools/documentation/index.html	(revision 1237)
+++ trunk/tools/documentation/index.html	(revision 1243)
@@ -15,5 +15,5 @@
     </DIV>
     <DIV CLASS="hcolmenu">
-      <A CLASS="lc" HREF="nctransform/nctransform.html" TARGET="hmenu">netCDF transformation</A> | 
+      <A CLASS="lc" HREF="ncmanage/nctransform.html" TARGET="hmenu">netCDF manage</A> | 
       <A CLASS="lc" HREF="plotting/plotting.html" TARGET="hmenu">plotting</A> | 
       <A CLASS="lc" HREF="generic/generic.html" TARGET="hmenu">generic</A> |
Index: trunk/tools/documentation/intro.html
===================================================================
--- trunk/tools/documentation/intro.html	(revision 1237)
+++ trunk/tools/documentation/intro.html	(revision 1243)
@@ -7,9 +7,9 @@
   <!--BODY STYLE="color:rgb(240,240,240);font-size:1em;"-->
   <BODY CLASS="genintro"> 
-    <A CLASS="la" HREF="https://www.python.org" TARGET="_blank">Python</A> scripts (2.x) to manage netCDF files and to plot different kinds of figures using data kept in netCDF files.<BR>
+    <A CLASS="la" HREF="https://www.python.org" TARGET="_blank">Python</A> scripts (2.x) to manage netCDF<HREF CLASS="la" A="http://www.unidata.ucar.edu/software/netcdf" TARGET="_blank">files and to plot different kinds of figures using data kept in netCDF files.<BR>
     <BR>
     Scripts use python's <A CLASS="la" HREF="http://matplotlib.org" TARGET="_blank">matplotlib</A> and <A CLASS="la" HREF="https://pypi.python.org/pypi/netCDF4" TARGET="_blank">netCDF4</A> libraries. Additionally some functions use some specific Fortran based libraries developed on purpose for the case. <BR>
     <BR>
-    Climate Data Operators (<A CLASS="la" HREF="https://code.zmaw.de/projects/cdo" TARGET="_blank">CDO</A>) are very powerful tools but it only properly works if files are <A CLASS="la" HREF="http://cfconventions.org" TARGET="_blank">CF-compilant</A>. netCDF Operator (<A CLASS="la" HREF="http://nco.sourceforge.net" TARGET="la">NCO</A>) are also very versatile and powerful, but they can not do everything. Thus, one faces sometimes to process netCDF files via a sort of mixing of both tools and it is almost impossible to add new capabilities to them. <A CLASS="la" HREF="http://www.ferret.noaa.gov/Ferret" TARGET="_blank">Ferret</A> is quite a useful tool, but its quick characteristics limit the output which at the same time it is in a low quality. When one is working with multiple models highly appreciates a single tool to work with their output.
+    Climate Data Operators (<A CLASS="la" HREF="https://code.zmaw.de/projects/cdo" TARGET="_blank">CDO</A>) are very powerful tools but it only properly works if files are <A CLASS="la" HREF="http://cfconventions.org" TARGET="_blank">CF-compilant</A>. netCDF Operator (<A CLASS="la" HREF="http://nco.sourceforge.net" TARGET="la">NCO</A>) are also very versatile and powerful, but they can not do everything. Thus, one faces sometimes to process netCDF files via a sort of mixing of both tools and it is almost impossible to add new capabilities to them. <A CLASS="la" HREF="http://www.ferret.noaa.gov/Ferret" TARGET="_blank">Ferret</A> is quite a useful tool, but its quick characteristics limit the output which at the same time it is in a low quality and <A CLASS="la" HREF="http://www.gnuplot.info/" TARGET="_blank">GNUplot</A> does not read netCDF. When one is working with multiple models highly appreciates a single tool to work with their output.
     PyNCplot attempts to facilitate the research throughout two main goals:
     <OL CLASS="roman">
@@ -19,5 +19,5 @@
     It encompass different capabilities for different tasks:
     <UL>
-      <LI>Manage of netCDF files (<A CLASS="la" HREF="nctransform/nctransform.html" TARGET="hmenu">netCDF transformation</A>)</LI>
+      <LI>Manage of netCDF files (<A CLASS="la" HREF="nctransform/nctransform.html" TARGET="hmenu">netCDF manage</A>)</LI>
       <LI>Plot figures (<A CLASS="la" HREF="plotting/plotting.html" TARGET="hmenu">plotting</A>)</LI>
       <LI>General all purposes tools (<A CLASS="la" HREF="generic/generic.html" TARGET="hmenu">generic</A>)</LI>
@@ -33,4 +33,8 @@
      $ svn co http://svn.lmd.jussieu.fr/LMDZ_WRF/trunk/tools PyNCplot
     </CODE></PRE>
+    Do not forget to keep updated via sub-version
+    <PRE><CODE>
+     $ svn up http://svn.lmd.jussieu.fr/LMDZ_WRF/trunk/tools PyNCplot
+    </CODE></PRE>
     There are several python tutorials, just to add more basic ones: <A CLASS="la" HREF="http://www.xn--llusfb-5va.cat/python/ShanCourse/PythonCourse.html" TARGET="_blank">Shan's python course</A>, <A CLASS="la" HREF="https://forge.ipsl.jussieu.fr/igcmg_doc/wiki/Train#BOOTCAMPIPSL" TARGET="_blank">IPSL Boot Camp</A>
     This web page will be always `underconstuction' as far as there are still some new operations/graphics to add, or to finish to document all the existing ones
Index: trunk/tools/documentation/ncmanage/field_stats.html
===================================================================
--- trunk/tools/documentation/ncmanage/field_stats.html	(revision 1243)
+++ trunk/tools/documentation/ncmanage/field_stats.html	(revision 1243)
@@ -0,0 +1,30 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      field_stats
+    </DIV>
+    <DIV CLASS="valimg">
+      Function to retrieve statistics from a field
+    </DIV>
+    <DIV CLASS="valhelp">
+      field_stats(values, ncfile, varn)<BR>
+      [values]= [stats],[fillVals],[countVals]<BR>
+      &nbsp;&nbsp;[stats]: kind of statistics <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;'full': all statistics given variable<BR>
+      &nbsp;&nbsp;[fillVals]: ':' list of _fillValues ('None' for any)<BR>
+      &nbsp;&nbsp;[countVals]: ':' list of Values@cond to use to count conditions ('None' for any)<BR>
+      [ncfile]= name of the netCDF file to use<BR>
+      [varn]= variable name to use ('all' for all variables)<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python nc_var.py -o field_stats -S 'full,None,None' -f startphy.nc -v all
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/intro.html
===================================================================
--- trunk/tools/documentation/ncmanage/intro.html	(revision 1243)
+++ trunk/tools/documentation/ncmanage/intro.html	(revision 1243)
@@ -0,0 +1,133 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="valheader">
+      netCDF managing functions
+    </DIV>
+    <DIV CLASS="valintro">
+      List of available functions to manage netCDD files. Most of them follow a similar structure:<BR>
+      <PRE><CODE>
+        $ python nc_var.py -o [operation] -f [file(or files)] -S [values] -v [variables]
+      </CODE></PRE>
+      In most of the cases <SPAN CLASS="codetxt">[values]</SPAN> is a string which contains a list of values separated by a character <SPAN CLASS="codetxt">[sep]</SPAN>, becomming the value as: 
+      <PRE><CODE>
+      [values]=[val1][sep][val2][sep][...[valN]]</CODE></PRE>
+      One can obtain all the list of operations and their instructions by demanding to the script:
+      <PRE><CODE>
+        $ python nc_var.py -o list_operations
+      </CODE></PRE>
+      For almost all operations, one can obtain all the help of a specific operation by:
+      <PRE><CODE>
+        $ python nc_var.py -o [operation] -S h
+      </CODE></PRE>
+      One should be able to obtain an example of execution by
+      <PRE><CODE>
+        $ cat nc_var.py | grep [operation] | grep 'e.g.'
+      </CODE></PRE>
+      The netcdf-managing script has two steps:
+      <OL>
+       <LI><SPAN CLASS="codetxt">nc_var.py:</SPAN> Main script which mainly gets the values
+       <LI><SPAN CLASS="codetxt">nc_var_tools.py:</SPAN> Script which perform the operations and its used by <SPAN CLASS="codetxt">nc_var.py</SPAN>
+       <LI><SPAN CLASS="codetxt">generic_tools.py:</SPAN> Script which contains generic operations and it is used by both scripts</LI>
+      </OL>
+      In order to use some of the functions, is necessary to compile previously the related Fortran subroutines and link them to python. It is already prepared for different computers via specific <SPAN CLASS="codetxt">Makefile.[machine].[compiler]</SPAN><BR>
+      Available functions:
+      <UL>
+        <LI><SPAN CLASS="codetxt">addvals:</SPAN> Function to add values to a given variable at a given dimension</LI>
+        <LI><SPAN CLASS="codetxt">CDO_toCF:</SPAN> Function to pass a CDO output file to CF-conventions</LI>
+        <LI><SPAN CLASS="codetxt">chdimname:</SPAN> Changing the name of the dimension</LI>
+        <LI><SPAN CLASS="codetxt">changevartype:</SPAN> Function to change the type of a variable (when possible)</LI>
+        <LI><SPAN CLASS="codetxt">checkallvars:</SPAN> Function to check all variables of a file</LI>
+        <LI><SPAN CLASS="codetxt">checkAllValues:</SPAN> Function to check for variables with along all their dimensions with the same value in a file</LI>
+        <LI><SPAN CLASS="codetxt">checkNaNs:</SPAN> Function to check for NaN values over all variables in a file</LI>
+        <LI><SPAN CLASS="codetxt">chgtimestep:</SPAN> Function to change the values of a given time-step of a variable inside a netCDF for values from a nother file</LI>
+        <LI><SPAN CLASS="codetxt">chvarname:</SPAN> Changing the name of the variable</LI>
+        <LI><SPAN CLASS="codetxt">cleaning_varsfile:</SPAN> Function to keep a list of variabales from a file</LI>
+        <LI><SPAN CLASS="codetxt">compute_opersvarsfiles:</SPAN> Function to compute opersvarfiles: operation of variables from different files (OPER1.FILE1_VAR1 OPER2.FILE2_VAR2), operations are going to be sequentially</LI>
+      made<LI><SPAN CLASS="codetxt">DatesFiles:</SPAN> Function to find different time values on a series of WRF files in a folder</LI>
+        <LI><SPAN CLASS="codetxt">DataSetSection:</SPAN> Function to get a section (values along a dimension) of a given data-set</LI>
+        <LI><SPAN CLASS="codetxt">DataSetSection_multidims:</SPAN> Function to get a section (values along multiple dimensions) of a given data-set</LI>
+        <LI><SPAN CLASS="codetxt">DataSetSection_multivars:</SPAN> Function to get a section (values along multiple variables) of a given data-set</LI>
+        <LI><SPAN CLASS="codetxt">dimToUnlimited:</SPAN> Operation to create an unlimited dimension from an existing one</LI>
+        <LI><SPAN CLASS="codetxt">dimVar_creation:</SPAN> Function to add a 1D variable with the size of a given dimension in a file</LI>
+        <LI><SPAN CLASS="codetxt">fattradd:</SPAN> Adding attributes from a reference file</LI>
+        <LI><SPAN CLASS="codetxt">fdimadd:</SPAN> Adding dimension from another reference file </LI>
+        <LI><SPAN CLASS="codetxt">fgaddattr:</SPAN> Adding global attributes from a reference file</LI>
+        <LI><SPAN CLASS="codetxt">field_stats:</SPAN> Function to retrieve statistics from a field</LI>
+        <LI><SPAN CLASS="codetxt">field_stats_dim:</SPAN> Function to retrieve statistics from a field along dimensions</LI>
+        <LI><SPAN CLASS="codetxt">file_creation:</SPAN> Operation to create a file with one variable with a given set of dimensions</LI>
+        <LI><SPAN CLASS="codetxt">file_oper_alongdims:</SPAN> Function to operate a file along different dimensions of a variable</LI>
+        <LI><SPAN CLASS="codetxt">filter_2dim:</SPAN> Function to filter along 2 dimensions (moving grid-box means of a given size) values of the netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">flipdim:</SPAN> flips the value following one dimension</LI>
+        <LI><SPAN CLASS="codetxt">fvaradd:</SPAN> Adding variable (and all its attributes and dimensions) from a reference file to a file</LI>
+        <LI><SPAN CLASS="codetxt">gaddattrk:</SPAN> Add a global attribute to a netCDF caring about the type. Removes previous attribute if it exist</LI>
+        <LI><SPAN CLASS="codetxt">gaddattr:</SPAN> Add a global attribute to a netCDF. Removes previous attribute if it exist</LI>
+        <LI><SPAN CLASS="codetxt">get_attribute:</SPAN> Function to get an attribute from a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">get_namelist_vars:</SPAN> Function to get namelist-like  values ([varname] = [value]) </LI>
+        <LI><SPAN CLASS="codetxt">get_Variables:</SPAN> Function to get a list of variables from an existing file</LI>
+        <LI><SPAN CLASS="codetxt">getvalues_lonlat:</SPAN> Function to retrieve the values from the closest grid point to a set of longitude, latitude values</LI>
+        <LI><SPAN CLASS="codetxt">grattr:</SPAN> Function to read a global attribute</LI>
+        <LI><SPAN CLASS="codetxt">grmattr:</SPAN> Removing a global attribute</LI>
+        <LI><SPAN CLASS="codetxt">idims:</SPAN> Give all the dimensions names of a file</LI>
+        <LI><SPAN CLASS="codetxt">igattrs:</SPAN> Give all the global attributes of a file</LI>
+        <LI><SPAN CLASS="codetxt">increaseDimvar:</SPAN> Function to increase with 1 dimension an existing variable within a netcdf file. Values of the variable will be repeated along the new dimension</LI>
+        <LI><SPAN CLASS="codetxt">isgattrs:</SPAN> Give a single global attribute of a file and its type</LI>
+        <LI><SPAN CLASS="codetxt">isvattrs:</SPAN> Give a single attribute of a variable</LI>
+        <LI><SPAN CLASS="codetxt">ivars:</SPAN> Give all the variable names of a file</LI>
+        <LI><SPAN CLASS="codetxt">ivattrs:</SPAN> Give all the attributes of a variable and its type</LI>
+        <LI><SPAN CLASS="codetxt">LMDZ_toCF:</SPAN> Function to pass a LMDZ original file to CF-conventions</LI>
+        <LI><SPAN CLASS="codetxt">maskvar:</SPAN> Function to mask a variable using a mask. It is assumed that mask[...,dimM,dimJ,dimK] and </LI>
+        <LI><SPAN CLASS="codetxt">model_characteristics:</SPAN> Function to provide major characteristics of a given model output</LI>
+        <LI><SPAN CLASS="codetxt">ncreplace:</SPAN> Function to replace something from a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">ncstepdiff:</SPAN> Function to compute differences between time-steps (de-accumulate) a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">netcdf_concatenation:</SPAN> Function to concatenate netCDF files for a given set of variables</LI>
+        <LI><SPAN CLASS="codetxt">netcdf_fold_concatenation:</SPAN> Function to concatenate netCDF files in a given folder for a given set of variables</LI>
+        <LI><SPAN CLASS="codetxt">netcdf_fold_concatenation_HMT:</SPAN> Function to concatenate netCDF files in a given folder for a given set of variables giving Header, Middle, Tail for the name files</LI>
+        <LI><SPAN CLASS="codetxt">reproject:</SPAN> Function to re-project values to another one</LI>
+        <LI><SPAN CLASS="codetxt">Partialmap_Entiremap:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI><SPAN CLASS="codetxt">Partialmap_EntiremapFor:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI><SPAN CLASS="codetxt">Partialmap_EntiremapForExact:</SPAN> Function to transform from a partial global map (e.g.: only land points) to an entire one using Fortran code with exact location Coincidence of points is done throughout a first guess from fractions of the total domain of search</LI>
+        <LI><SPAN CLASS="codetxt">pinterp:</SPAN> Function to vertically interpolate using subroutines from the p_interp.F90 NCAR program</LI>
+        <LI><SPAN CLASS="codetxt">remapnn:</SPAN> Function to remap to the nearest neighbor a variable using projection from another file</LI>
+        <LI><SPAN CLASS="codetxt">seasmean:</SPAN> Function to compute the seasonal mean of a variable</LI>
+        <LI><SPAN CLASS="codetxt">sellonlatbox:</SPAN> Function to select a lotlan box from a data-set</LI>
+        <LI><SPAN CLASS="codetxt">sellonlatlevbox:</SPAN> Function to select a lotlan box and a given level from a data-set</LI>
+        <LI><SPAN CLASS="codetxt">selvar:</SPAN> Function to select a series of variables from a netcdf file. Variables with </LI>
+        <LI><SPAN CLASS="codetxt">setvar_asciivalues:</SPAN> Function to set the values of a variable with an ASCII file (common </LI>
+        <LI><SPAN CLASS="codetxt">sorttimesmat:</SPAN> Function to sort the time values of a given file</LI>
+        <LI><SPAN CLASS="codetxt">spacemean:</SPAN> Function to retrieve a space mean series from a multidimensional variable of a file</LI>
+        <LI><SPAN CLASS="codetxt">SpatialWeightedMean:</SPAN> Function to compute the spatial mean using weights from a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">statcompare_files:</SPAN> Python script to statistically compare two different files</LI>
+        <LI><SPAN CLASS="codetxt">subbasin:</SPAN> Function to retrieve the subbasin (all the sub-flows until a a given lon,lat)</LI>
+        <LI><SPAN CLASS="codetxt">submns:</SPAN> Function to retrieve a series of months from a file</LI>
+        <LI><SPAN CLASS="codetxt">subyrs:</SPAN> Function to retrieve a series of years from a file</LI>
+        <LI><SPAN CLASS="codetxt">TimeInf:</SPAN> Function to print all the information from the variable time</LI>
+        <LI><SPAN CLASS="codetxt">time_reset:</SPAN> Function to re-set the time axis of a file</LI>
+        <LI><SPAN CLASS="codetxt">TimeSplitmat:</SPAN> Function to transform a file with CFtimes to a matrix [Nyear,Nmonth,Nday,Nhour,Nminute,Nsecond] </LI>
+        <LI><SPAN CLASS="codetxt">timemean:</SPAN> Function to retrieve a time mean series from a multidimensional variable of a file</LI>
+        <LI><SPAN CLASS="codetxt">valmod:</SPAN> Function to modify the value of a variable</LI>
+        <LI><SPAN CLASS="codetxt">valmod_dim:</SPAN> Function to modify the value of a variable at a given dimension and value</LI>
+        <LI><SPAN CLASS="codetxt">varaddattrk:</SPAN> Add an attribute to a variable caring about the type</LI>
+        <LI><SPAN CLASS="codetxt">varaddattr:</SPAN> Add an attribute to a variable. Removes previous attribute if it exists</LI>
+        <LI><SPAN CLASS="codetxt">varaddref:</SPAN> Function to add a variable in an existing file copying characteristics from an existing one</LI>
+        <LI><SPAN CLASS="codetxt">var_creation:</SPAN> Operation to create a new variable in a file with a given set of dimensions</LI>
+        <LI><SPAN CLASS="codetxt">varout:</SPAN> Function when we want to output variable values</LI>
+        <LI><SPAN CLASS="codetxt">varrmattr:</SPAN> Removing an attribute from a variable</LI>
+        <LI><SPAN CLASS="codetxt">varrm:</SPAN> Removing a variable from a file</LI>
+        <LI><SPAN CLASS="codetxt">VarVal_FillValue:</SPAN> Function to transform a given value from a given variable to _FillValue in a netCDF file</LI>
+        <LI><SPAN CLASS="codetxt">vrattr:</SPAN> Function to remove an attribute from a variable</LI>
+        <LI><SPAN CLASS="codetxt">WRF_d0Nref:</SPAN> Function for the generation of an extra WRF domain from a given one </LI>
+        <LI><SPAN CLASS="codetxt">WRF_CFlonlat_creation:</SPAN> Function to add a CF-convention longitude/latitude variables in a WRF file</LI>
+        <LI><SPAN CLASS="codetxt">WRF_CFtime_creation:</SPAN> Function to add a CF-convention time unit in a WRF file</LI>
+        <LI><SPAN CLASS="codetxt">WRF_CFxtime_creation:</SPAN> Function to add a CF-convention time unit in a WRF file using variable 'XTIME'</LI>
+        <LI><SPAN CLASS="codetxt">WRF_toCF:</SPAN> Function to pass a WRF original file to CF-conventions</LI>
+      </UL>
+    </DIV>
+    
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/ncmanage/nctransform.html
===================================================================
--- trunk/tools/documentation/ncmanage/nctransform.html	(revision 1243)
+++ trunk/tools/documentation/ncmanage/nctransform.html	(revision 1243)
@@ -0,0 +1,17 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  <BODY>
+    <DIV CLASS="colmenu">
+      <A CLASS="lc" HREF="compute_opersvarsfiles.html" TARGET="value">compute_opersvarsfiles</A><BR>
+      <A CLASS="lc" HREF="field_stats.html" TARGET="value">field_stats</A><BR>
+    </DIV>
+    <DIV CLASS="valmenu">
+      <IFRAME SRC="intro.html" NAME="value" FRAMEBORDER=0 WIDTH="100%" HEIGHT="100%"></IFRAME>
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/plotting.html
===================================================================
--- trunk/tools/documentation/plotting/plotting.html	(revision 1237)
+++ trunk/tools/documentation/plotting/plotting.html	(revision 1243)
@@ -12,4 +12,6 @@
       <A CLASS="lc" HREF="2Dshad_cont_time.html" TARGET="value">2D shadow contour time</A><BR>
       <A CLASS="lc" HREF="2Dshad_line.html" TARGET="value">2D shadow line</A><BR>
+      <A CLASS="lc" HREF="2Dshad_line_time.html" TARGET="value">2D shadow line time</A><BR>
+      <A CLASS="lc" HREF="barbs.html" TARGET="value">barbs</A><BR>
     </DIV>
     <DIV CLASS="valmenu">