Index: trunk/tools/documentation/ncmanage/compute_opersvarsfiles.html
===================================================================
--- trunk/tools/documentation/ncmanage/compute_opersvarsfiles.html	(revision 1245)
+++ trunk/tools/documentation/ncmanage/compute_opersvarsfiles.html	(revision 1245)
@@ -0,0 +1,59 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      compute_opersvarsfiles
+    </DIV>
+    <DIV CLASS="valimg">
+      Function to compute opersvarfiles: operation of variables from different files (OPER1.FILE1_VAR1 OPER2.FILE2_VAR2), operations are going to be sequentially
+    </DIV>
+    <DIV CLASS="valhelp">
+      compute_opersvarsfiles(values, varinfo)<BR>
+      &nbsp;&nbsp;values= '%' separated list of dimension ranges and file,operation,variable to compute<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;[dimranges1]@[operfile1var]%[dimranges2]@[operfile2var]%[...[dimrangesM]@[operfileMvar]]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;dimranges: ';' separated list of dimension, dimension-variable names and their ranges ('|' separated)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dim1]|[dimv1]|[range];[dim2]|[dimv2]|[range];[...|[dimN]|[dimvN]|[range]]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;with [range] as:<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-1, all the values<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-9, last values<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;int, a single value<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[beg,end,frq], from a beginning to an end with a given frequency<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;operfilevar: [oper]|[file]|[var] '|' separated list of triplets of [operation], [file], [variable name to use]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [oper]: operations (being [prevalues] the values computed until the operation)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'add': adding [var] ([prevalues] + [var])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'addc',[modval1]: add [modval1] to [prevalues]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'centerderiv',[N],[ord],[dim]: un-scaled center [N]-derivative of order [ord] along dimension [dim] of [var]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'div': dividing by [var] ([prevalues] / [var])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'divc',[modval1]: [prevalues] divide by [modval1]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'forwrdderiv',[N],[ord],[dim]: un-scaled forward [N]-derivative of order [ord] along dimension [dim] of [var]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'inv': inverting [prevalues] (1/[prevalues])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'lowthres',[modval1],[modval2]: if [prevalues] < [modval1]; prevalues = [modval2]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'lowthres@oper',[modval1],[oper],[modval2]: if [prevalues] < [modval1]; prevalues = [oper] (operation as [modval2])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'mul': multiplying by [var] ([prevvalues] * [var])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'mulc',[modval1]: [prevalues] multiplied by [modval1]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'pot': powering with [var] ([prevalues] ** [var])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'potc',[modval1]: [prevalues] ** [modval1]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'sub': substracting [var] ([prevalues] - [var])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'subc',[modval1]: remove [modval1] of [prevalues]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'upthres',[modval1],[modval2]: if [prevalues] > [modval1]; prevalues = [modval2]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'upthres@oper',[modval1],[oper],[modval2]: if [prevalues] > [modval1]; prevalues = [oper] (operation with [modval2])<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [file]: name of the file<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [var]: variable to use ('None' for the case with constant operations: 'addc', 'divc', 'inv', 'lowthres', <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'lowthres@oper', 'mulc', 'potc', 'subc', 'upthres', 'upthres@oper'<BR>
+      &nbsp;&nbsp;varinfo= [varname],[Lvarname],[varunits]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;varname: name of the final variable <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;Lvarname: long name of the final variable ('!' for spaces)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;varunits: units of the final variable ('!' for spaces)<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python nc_var.py -o compute_opersvarsfiles -S 'west_east|XLONG|-1;south_north|XLAT|-1;Time|Times|3@add|wrfout_d01_2001-11-11_00:00:00|T2%west_east|XLONG|-1;south_north|XLAT|-1;Time|Times|3@subc,273.15|wrfout_d01_2001-11-11_00:00:00|None' -v 'tempC,air!temperature,C'<BR>
+      $ python nc_var.py -o compute_opersvarsfiles -S 'lon|lon|-1;lat|lat|-1;time_counter|time_counter|-1@forwrdderiv,1,1,2|/ccc/store/cont003/gen7593/fitaborl/etudes/DynamicoESM/aquaplanet/AR40/19800101000000-19810101000000/histday.nc|t2m' -v 'tasderiv,x-derivative|of|air|temperature,K
+    </DIV>
+  </BODY>
+</HTML>
+