Index: trunk/tools/documentation/intro.html
===================================================================
--- trunk/tools/documentation/intro.html	(revision 1231)
+++ trunk/tools/documentation/intro.html	(revision 1247)
@@ -7,9 +7,9 @@
   <!--BODY STYLE="color:rgb(240,240,240);font-size:1em;"-->
   <BODY CLASS="genintro"> 
-    <A CLASS="la" HREF="https://www.python.org" TARGET="_blank">Python</A> scripts (2.x) to manage netCDF files and to plot different kinds of figures using data kept in netCDF files.<BR>
+    <A CLASS="la" HREF="https://www.python.org" TARGET="_blank">Python</A> scripts (2.x) to manage netCDF<HREF CLASS="la" A="http://www.unidata.ucar.edu/software/netcdf" TARGET="_blank">files and to plot different kinds of figures using data kept in netCDF files.<BR>
     <BR>
     Scripts use python's <A CLASS="la" HREF="http://matplotlib.org" TARGET="_blank">matplotlib</A> and <A CLASS="la" HREF="https://pypi.python.org/pypi/netCDF4" TARGET="_blank">netCDF4</A> libraries. Additionally some functions use some specific Fortran based libraries developed on purpose for the case. <BR>
     <BR>
-    Climate Data Operators (<A CLASS="la" HREF="https://code.zmaw.de/projects/cdo" TARGET="_blank">CDO</A>) are very powerful tools but it only properly works if files are <A CLASS="la" HREF="http://cfconventions.org" TARGET="_blank">CF-compilant</A>. netCDF Operator (<A CLASS="la" HREF="http://nco.sourceforge.net" TARGET="la">NCO</A>) are also very versatile and powerful, but they can not do everything. Thus, one faces sometimes to process netCDF files via a sort of mixing of both tools and it is almost impossible to add new capabilities to them. <A CLASS="la" HREF="http://www.ferret.noaa.gov/Ferret" TARGET="_blank">Ferret</A> is quite a useful tool, but its quick characteristics limit the output which at the same time it is in a low quality. When one is working with multiple models highly appreciates a single tool to work with their output.
+    Climate Data Operators (<A CLASS="la" HREF="https://code.zmaw.de/projects/cdo" TARGET="_blank">CDO</A>) are very powerful tools but it only properly works if files are <A CLASS="la" HREF="http://cfconventions.org" TARGET="_blank">CF-compilant</A>. netCDF Operator (<A CLASS="la" HREF="http://nco.sourceforge.net" TARGET="la">NCO</A>) are also very versatile and powerful, but they can not do everything. Thus, one faces sometimes to process netCDF files via a sort of mixing of both tools and it is almost impossible to add new capabilities to them. <A CLASS="la" HREF="http://www.ferret.noaa.gov/Ferret" TARGET="_blank">Ferret</A> is quite a useful tool, but its quick characteristics limit the output which at the same time it is in a low quality and <A CLASS="la" HREF="http://www.gnuplot.info/" TARGET="_blank">GNUplot</A> does not read netCDF. When one is working with multiple models highly appreciates a single tool to work with their output.
     PyNCplot attempts to facilitate the research throughout two main goals:
     <OL CLASS="roman">
@@ -19,5 +19,5 @@
     It encompass different capabilities for different tasks:
     <UL>
-      <LI>Manage of netCDF files (<A CLASS="la" HREF="nctransform/nctransform.html" TARGET="hmenu">netCDF transformation</A>)</LI>
+      <LI>Manage of netCDF files (<A CLASS="la" HREF="nctransform/nctransform.html" TARGET="hmenu">netCDF manage</A>)</LI>
       <LI>Plot figures (<A CLASS="la" HREF="plotting/plotting.html" TARGET="hmenu">plotting</A>)</LI>
       <LI>General all purposes tools (<A CLASS="la" HREF="generic/generic.html" TARGET="hmenu">generic</A>)</LI>
@@ -33,4 +33,8 @@
      $ svn co http://svn.lmd.jussieu.fr/LMDZ_WRF/trunk/tools PyNCplot
     </CODE></PRE>
+    Do not forget to keep updated via sub-version
+    <PRE><CODE>
+     $ svn up http://svn.lmd.jussieu.fr/LMDZ_WRF/trunk/tools PyNCplot
+    </CODE></PRE>
     There are several python tutorials, just to add more basic ones: <A CLASS="la" HREF="http://www.xn--llusfb-5va.cat/python/ShanCourse/PythonCourse.html" TARGET="_blank">Shan's python course</A>, <A CLASS="la" HREF="https://forge.ipsl.jussieu.fr/igcmg_doc/wiki/Train#BOOTCAMPIPSL" TARGET="_blank">IPSL Boot Camp</A>
     This web page will be always `underconstuction' as far as there are still some new operations/graphics to add, or to finish to document all the existing ones