Index: trunk/tools/documentation/PyNCplot.css
===================================================================
--- trunk/tools/documentation/PyNCplot.css	(revision 1272)
+++ trunk/tools/documentation/PyNCplot.css	(revision 1273)
@@ -29,11 +29,10 @@
   font-size:1.2em;overflow-y:auto;}
 
-
 div.license{width:100%;height:2%;text-align:right;position:absolute;bottom:0%;left:0%;
   color:rgb(240,240,240);font-size:0.7em;}
 
 /* Environments */
-div.codetxt{width:80%;height:10%;text-align:left;background-color:rgb(192,192,192);
-  font-size:0.9em;font-family:"Courier New";}
+div.codetxt{width:80%;height:10%;text-align:left;text-indent:0px;background-color:rgb(192,192,192);
+  font-size:0.9em;font-family:"Courier New";color:rgb(0,0,0);}
 
 /* Definitions */
Index: trunk/tools/documentation/index.html
===================================================================
--- trunk/tools/documentation/index.html	(revision 1272)
+++ trunk/tools/documentation/index.html	(revision 1273)
@@ -18,5 +18,6 @@
       <A CLASS="lc" HREF="plotting/plotting.html" TARGET="hmenu">plotting</A> | 
       <A CLASS="lc" HREF="generic/generic.html" TARGET="hmenu">generic</A> |
-      <A CLASS="lc" HREF="other/other.html" TARGET="hmenu">other</A>
+      <A CLASS="lc" HREF="other/other.html" TARGET="hmenu">other</A> |
+      <A CLASS="lc" HREF="install.html" TARGET="hmenu">installation</A> 
     </DIV>
     <DIV CLASS="hvalmenu">
Index: trunk/tools/documentation/install.html
===================================================================
--- trunk/tools/documentation/install.html	(revision 1273)
+++ trunk/tools/documentation/install.html	(revision 1273)
@@ -0,0 +1,65 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="PyNCplot.css"/>
+  </HEAD>
+
+  <!--BODY STYLE="color:rgb(240,240,240);font-size:1em;"-->
+  <BODY CLASS="genintro"> 
+    <H1>Installation guide</H1>
+    A step-by-step instructions to follow in order to install all the required packages and tools. <BR>
+
+    Example of installation in a Debian 8 as root:
+    <OL>
+      <LI>as root</LI>
+      <DIV CLASS="codetxt">$ su</DIV>
+      <LI>install subversion, version control packaes</LI>
+      <DIV CLASS="codetxt"># apt-get install subversion</DIV>
+      <LI>install GIT, different paradigm version control</LI>
+      <DIV CLASS="codetxt"># apt-get install git</DIV>
+
+      <LI>get python and its necessary applications</LI>
+      <DIV CLASS="codetxt"># apt-get install python python-scipy python-numpy cython cython-dbg</DIV>
+
+      <LI>get netcdf libraries tools and applications (cdo and nco are also installed maybe not required...)</LI>
+      <DIV CLASS="codetxt"># apt-get install netcdf-bin netcdf-dbg libnetcdf-dev netcdf-doc ncview cdo nco</DIV>
+
+      <LI>get hdf5</LI>
+      <DIV CLASS="codetxt"># apt-get install libhdf5-dev</DIV>
+
+      <LI>install matplotlib and basemap in order to plot and drow maps</LI>
+      <DIV CLASS="codetxt"># apt-get install python-matplotlib python-matplotlib-data python-matplotlib-doc python-mpltoolkits.basemap python-mpltoolkits.basemap-data</DIV>
+
+      <LI>install system tools (Scripts use L<SUP>A</SUP>T<SUB>E</SUB>X interface for titles and labels)</LI>
+      <DIV CLASS="codetxt"># apt-get install dvipng</DIV>
+
+      <LI>install netcdf4, python API interface to netCDF files (following <A CLASS="la" HREF="https://github.com/Unidata/netcdf4-python"  TARGET="_blank">https://github.com/Unidata/netcdf4-python</A>)</LI>
+      <DIV CLASS="codetxt"># git clone https://github.com/Unidata/netcdf4-python.git
+      cd netcdf4-python/</DIV>
+        <UL>
+        <LI>Editing `setup.cfg' to add/change some values (there are installation issues if `nc-config' is used along installation)</LI>
+        <PRE><CODE>
+use_ncconfig=False
+netCDF4_dir = /usr/local
+HDF5_dir = /usr/local
+HDF5_libdir = /usr/lib/x86_64-linux-gnu/hdf5/serial
+HDF5_INCDIR = /usr/include/hdf5/serial
+</CODE></PRE>
+        </UL>
+      <DIV CLASS="codetxt">
+# python setup.py build >& run_pysetup.log<BR>
+# python setup.py install >& run_pyinstall.log</DIV>
+      <LI>Getting the scripts, no need to be root:</LI>
+      <DIV CLASS="codetxt"># exit<BR>
+      $ cd $HOME <BR>
+      $ svn co http://svn.lmd.jussieu.fr/LMDZ_WRF/trunk/tools PyNCplot</DIV>
+      <LI>Now all the scripts are held in ${HOME}/PyNCplot. It might be desirable to set an environment variable to make life easier:
+      <DIV CLASS="codetxt">$ export pyHOME=${HOME}/PyNCplot</DIV>
+
+      </OL>
+
+  
+
+  </BODY>
+</HTML>
+