Index: trunk/tools/documentation/plotting/gallery.html
===================================================================
--- trunk/tools/documentation/plotting/gallery.html	(revision 1280)
+++ trunk/tools/documentation/plotting/gallery.html	(revision 1284)
@@ -21,5 +21,6 @@
       <A HREF="Neighbourgh_evol.html"><IMG SRC="figs/Neighbourghood_evol.png" ALT="Neighbourghood evolution" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="Nlines.html"><IMG SRC="figs/Nlines_hurs_wrfout_tturb-xmean-last.png" ALT="Nlines" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
-      <A HREF="Nlines_time.html"><IMG SRC="figs/lines_time.png" ALT="Nlines" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="Nlines_time.html"><IMG SRC="figs/lines_time.png" ALT="Nlines time" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
+      <A HREF="plot_points.html"><IMG SRC="figs/stations_loc.png" ALT="plot points" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="topo_geogrid.html"><IMG SRC="figs/geo_domain.png" ALT="topography WRF's geogrid" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
       <A HREF="topo_geogrid_boxes.html"><IMG SRC="figs/domain_boxes.png" ALT="nested topography WRF's geogrid with boxes" STYLE="float:left;width:200px;height:200px" TARGET="value"></IMG></A>
Index: trunk/tools/documentation/plotting/plot_points.html
===================================================================
--- trunk/tools/documentation/plotting/plot_points.html	(revision 1284)
+++ trunk/tools/documentation/plotting/plot_points.html	(revision 1284)
@@ -0,0 +1,93 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      plot points
+    </DIV>
+    <DIV CLASS="valimg">
+      Plotting a series of lon, lat, labels kept in an ASCII file with the option to add a shaded field
+      <IMG WIDTH="100%" SRC="figs/satations_loc.png"></IMG>
+    </DIV>
+    <DIV CLASS="valhelp">
+    Function to plot a series of points read from an ASCII file with lon, lat, label <BR>
+    draw_points(filen, values)<BR>
+    &nbsp;&nbsp;draw_points(filen, values)<BR>
+    &nbsp;&nbsp;[values]= [ptasciifile]:[gtit]:[dimxyfmt]:[mapvalues]:[kindfigure]:[pointcolor]:[pointlabels]:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[legvals]:[figureko]:[figuren]:[close]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[ptasciifile]:[file],[comchar],[collon],[collat],[lab]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[file]: column ASCII file with the location of the points<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[comchar]: '|' list of characters for commentaries<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[collon]: number of column with the longitude of the points<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[collat]: number of column with the latitude of the points<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[collab]: number of column with the labels of the points ('None', and will get<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;the values from the [pointlabels] variable<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[gtit]: title of the figure ('|' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[dimxyfmt]: [dxs],[dxf],[Ndx],[ordx],[dys],[dyf],[Ndy],[ordx]: format of the values at each axis (or 'auto')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dxs]: style of x-axis ('auto' for 'pretty')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Nfix', values computed at even 'Ndx'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'Vfix', values computed at even 'Ndx' increments<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'pretty', values computed following aprox. 'Ndx' at 'pretty' intervals (2.,2.5,4,5,10)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dxf]: format of the labels at the x-axis ('auto' for '%5g')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Ndx]: Number of ticks at the x-axis ('auto' for 5)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ordx]: angle of orientation of ticks at the x-axis ('auto' for horizontal)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dys]: style of y-axis ('auto' for 'pretty')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dyf]: format of the labels at the y-axis ('auto' for '%5g')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Ndy]: Number of ticks at the y-axis ('auto' for 5)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[ordy]: angle of orientation of ticks at the y-axis ('auto' for horizontal)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[mapvalues]: drawing coastaline ([proj],[res]) or None<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[proj]: projection<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'cyl', cilindric<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'lcc', lambert conformal<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[res]: resolution:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'c', crude<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'l', low<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'i', intermediate<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'h', high<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'f', full<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[kindfigure]: kind of figure<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'legend': only points in the map with the legend with the names<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'labelled',[txtsize],[txtcol]: points with the names and size, color of text<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[pointcolor]: color for the points ('auto' for "red")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[pointlabels]: ',' of labels [only used if [collab]='None'] ('None' for no labels, '!' for spaces)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[legvals]=[locleg]|[fontsize]: <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[locleg]: location of the legend (0, autmoatic)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1: 'upper right', 2: 'upper left', 3: 'lower left', 4: 'lower right',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5: 'right', 6: 'center left', 7: 'center right', 8: 'lower center',<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;9: 'upper center', 10: 'center'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fontsize]: font size for the legend (auto for 12)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[figureko]: kind of the output file (pdf, png, ...)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[figuren]: name of the figure<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[close]: Whether figure should be finished or not<BR>
+    &nbsp;&nbsp;[filen]= [ncfile],[lonvarn],[latvarn][,[varn],[dimvals],[vargn],[min],[max],[colbarn],[fmtcolorbar],[orientation],[varu]]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[ncfile]: netCDF to use to geolocalize the points<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[lonvarn]: name of the variable with the longitudes<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[latvarn]: name of the variable with the latitudes<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;Optional values:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[varn]: optional variable to add staff into the graph<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimval]: '@' list of [dimn]|[dimval] to get the values for [varn]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimn]: name of the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimval]: value of the dimension variable a given value is required:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [integer]: which value of the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* -1: all along the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* -9: last value of the dimension<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* [beg];[end];[inc] slice from [beg] to [end] every [inc]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* NOTE, no dim name all the dimension size<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[vargn]: name of the variable in the graph<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[min]: minimum value for the extra variable<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[max]: maximum value for the extra variable<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[colbarn]: name of the color bar<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[fmtcolorbar]: format of the numbers in the color bar 'C'-like ('auto' for %6g)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[orientation]: orientation of the colorbar ('vertical' (default, by 'auto'), 'horizontal')<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[varu]: units of the variable<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python drawing.py -o draw_points -S 'SuperStorm/tslist.dat,#,3,2,1:SuperStorm|sfc|stations:auto:cyl,i:labelled,10,r:auto:None:0:png:stations_loc:True' -f 'geo_em.d02.nc,XLONG_M,XLAT_M,HGT_M,Time|0@west_east|30;180;1@south_north|175;255;1,height,0.,1500.,terrain,auto,auto,m'
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/plotting/plotting.html
===================================================================
--- trunk/tools/documentation/plotting/plotting.html	(revision 1280)
+++ trunk/tools/documentation/plotting/plotting.html	(revision 1284)
@@ -17,4 +17,5 @@
       <A CLASS="lc" HREF="Nlines.html" TARGET="value">Nlines</A><BR>
       <A CLASS="lc" HREF="Nlines_time.html" TARGET="value">Nlines time</A><BR>
+      <A CLASS="lc" HREF="plot_points.html" TARGET="value">plot points</A><BR>
       <A CLASS="lc" HREF="topo_geogrid.html" TARGET="value">topo geogrid</A><BR>
       <A CLASS="lc" HREF="topo_geogrid_boxes.html" TARGET="value">topo geogrid boxes</A><BR>