Index: trunk/tools/specific.txt
===================================================================
--- trunk/tools/specific.txt	(revision 1347)
+++ trunk/tools/specific.txt	(revision 1347)
@@ -0,0 +1,146 @@
+specificvarplot = 
+clt|xmean+tmean|2lines|0.|1.|red|-|,|2.:
+hfls|xmean+tmean|2lines|-175.|175.|blue|-|,|2.:
+hfss|xmean+tmean|2lines|-25.|25.|red|-|,|2.:
+uas|xmean+tmean|2lines|-12.|12.|red|-|,|2.:
+vas|xmean+tmean|2lines|-5.|5.|blue|-|,|2.:
+tas|xvar+ymean|2linesTime|265.|305.|blue|-|,|2.:
+tas|xmean+tmean|2lines|265.|305.|blue|-|,|2.:
+prw|xmean+tmean|2lines|0.|60.|blue|-|,|2.:
+pr|xmean+tmean|2lines|0.|3.e-4|blue|-|,|2.:
+rsds|xmean+tmean|2lines|0.|300.|red|-|,|2.:
+wss|xvar+ymean|2linesTime|0.|15.|green|-|,|2.:
+wss|xmean+tmean|2lines|0.|15.|green|-|,|2.:
+
+clh|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+clh|tmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+clh|xmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+cll|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+cll|tmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+cll|xmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+clm|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+clm|tmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+clm|xmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|r:
+clt|last|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+clt|tmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+clt|xmean|shadcont2Dsfc|0.|1.|gist_gray|%g|fixc|k:
+hfls|tmean|shadcont2Dsfc|-200.|200.|BrBG|%g|fixsigc|black:
+hfss|tmean|shadcont2Dsfc|-40.|40.|PRGn|%g|fixsigc|black:
+prw|tmean|shadcont2Dsfc|0.|50.|Blues|%g|fixc|k:
+prw|xmean|shadcont2Dsfc|0.|50.|Blues|%g|fixc|k:
+rlds|tmean|shadcont2Dsfc|0.|400.|Blues|%g|fixsigc|black:
+rsds|tmean|shadcont2Dsfc|0.|400.|Reds|%g|fixsigc|black:
+tas|tstd|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:
+tas|tvar|shadcont2Dsfc|0.|1.5|Reds|%g|fixc|black:
+wss|tstd|shadcont2Dsfc|0.|8.|Greens|%g|fixc|black:
+wss|tmean|shadcont2Dsfc|0.|15.|Greens|%g|fixc|black:
+wss|xmean|shadcont2Dsfc|0.|15.|Greens|%g|fixc|black:
+
+hfss|xmean|shadconthovmsfc|-40.|40.|Reds|%g|fixsigc|black:
+rsds|xmean|shadconthovmsfc|0.|750.|Reds|%g|fixsigc|black:
+wss|xmean|shadconthovmsfc|0.|20.|Reds|%g|fixsigc|black:
+
+hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.001|0.001|coolwarm|%g|fixsigc|black:
+hus|pinterp+turb+xmean|shadcont2Dzsec|0.|0.025|BuPu|%g|fixc|black:
+ta|pinterp+tmean+xmean|shadcont2Dzsec|180.|305.|seismic|%g|fixc|black:
+ua|pinterp+tmean+xmean|shadcont2Dzsec|-60.|60.|seismic|%g|fixsigc|black:
+va|pinterp@tmean@xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black:
+wa|pinterp@tmean@xmean|shadcont2Dzsec|-0.02|0.02|Spectral|%g|fixsigc|black:
+
+specificdiffopplot = 
+tas|xvar+ymean|2linesTime|0.|2.|blue|-|,|2.:
+wss|xvar+ymean|2linesTime|0.|15.|green|-|,|2.:
+
+clh|last|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+clh|tmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+clh|xmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+cll|last|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+cll|tmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+cll|xmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+clm|last|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+clm|tmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+clm|xmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|r:
+clt|last|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+clt|tmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+clt|xmean|shadcont2Dsfc|-0.6|0.6|RdGy|%g|fixsigc|k:
+glw|tmean|shadcont2Dsfc|-100.|100.|PiYG|%g|fixsigc|black:
+hfls|last|shadcont2Dsfc|-200.|200.|BrBG|%g|fixsigc|black:
+hfls|tmean|shadcont2Dsfc|-50.|50.|BrBG|%g|fixsigc|black:
+hfls|xmean|shadcont2Dsfc|-100.|100.|BrBG|%g|fixsigc|black:
+hfss|last|shadcont2Dsfc|-40.|40.|PRGn|%g|fixsigc|black:
+hfss|tmean|shadcont2Dsfc|-20.|20.|PRGn|%g|fixsigc|black:
+hfss|xmean|shadcont2Dsfc|-20.|20.|PRGn|%g|fixsigc|black:
+hurs|tmean|shadcont2Dsfc|-0.1|0.1|coolwarm|%g|fixsigc|black:
+pr|tmean|shadcont2Dsfc|-0.0003|0.0003|seismic|%g|fixsigc|black:
+prw|tmean|shadcont2Dsfc|-12.|12.|seismic|%g|fixsigc|black:
+rlds|tmean|shadcont2Dsfc|-150.|150.|RdYlBu|%g|fixsigc|black:
+rsds|tmean|shadcont2Dsfc|-150.|150.|RdYlBu|%g|fixsigc|black:
+tas|tstd|shadcont2Dsfc|0.|10.|Reds|%g|fixsigc|black:
+tas|tmean|shadcont2Dsfc|-3.|3.|seismic|%g|fixsigc|black:
+tas|tvar|shadcont2Dsfc|0.|4.|Reds|%g|fixsigc|black:
+uas|tmean|shadcont2Dsfc|-20.|20.|seismic|%g|fixsigc|black:
+vas|tmean|shadcont2Dsfc|-2.|2.|seismic|%g|fixsigc|black:
+wss|tstd|shadcont2Dsfc|0.|10.|Blues|%g|fixsigc|black:
+wss|tmean|shadcont2Dsfc|-3.|3.|Spectral|%g|fixsigc|black:
+wss|xmean|shadcont2Dsfc|-5.|5.|Spectral|%g|fixsigc|black:
+wss|tvar|shadcont2Dsfc|0.|30.|Blues|%g|fixsigc|black:
+zmla|tmean|shadcont2Dsfc|-600.|600.|RdYlGn|%g|fixsigc|black:
+
+hfss|xmean|shadconthovmsfc|-40.|40.|PRGn|%g|fixsigc|black:
+hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.001|0.001|coolwarm|%g|fixsigc|black:
+ta|pinterp+tmean+xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black:
+ua|pinterp+tmean+xmean|shadcont2Dzsec|-20.|20.|seismic|%g|fixsigc|black:
+va|pinterp+tmean+xmean|shadcont2Dzsec|-20.|20.|seismic|%g|fixsigc|black:
+
+specificdiffvarplot = 
+clh|xmean+tmean|2lines|-0.5|0.5|blue|-|,|2.:
+cll|xmean+tmean|2lines|-0.5|0.5|red|-|,|2.:
+clm|xmean+tmean|2lines|-0.5|0.5|red|-|,|2.:
+clt|xmean+tmean|2lines|-0.5|0.5|red|-|,|2.:
+hfls|xmean+tmean|2lines|-35.|35.|blue|-|,|2.:
+hfss|xmean+tmean|2lines|-15.|15.|red|-|,|2.:
+hurs|xmean+tmean|2lines|-0.06|0.06|blue|-|,|2.:
+pr|xmean+tmean|2lines|-0.0002|0.0002|blue|-|,|2.:
+prw|xmean+tmean|2lines|-10.|10.|blue|-|,|2.:
+rsds|xmean+tmean|2lines|-110.|110.|red|-|,|2.:
+tas|xvar+ymean|2linesTime|-3.|3.|blue|-|,|2.:
+tas|xmean+tmean|2lines|-3.|3.|blue|-|,|2.:
+uas|xmean+tmean|2lines|-5.|5.|red|-|,|2.:
+vas|xmean+tmean|2lines|-3.|3.|blue|-|,|2.:
+wss|xvar+ymean|2linesTime|-5.|5.|green|-|,|2.:
+wss|xmean+tmean|2lines|-2.|2.|green|-|,|2.:
+zmla|xmean+tmean|2lines|-600.|600.|green|-|,|2:
+
+hfls|last|shadcont2Dsfc|-200.|200.|BrBG|%g|fixsigc|black:
+hfls|tmean|shadcont2Dsfc|-200.|200.|BrBG|%g|fixsigc|black:
+hfss|last|shadcont2Dsfc|-40.|40.|PRGn|%g|fixsigc|black:
+hfss|tmean|shadcont2Dsfc|-40.|40.|PRGn|%g|fixsigc|black:
+tas|tstd|shadcont2Dsfc|-1.|1.|seismic|%g|fixsigc|black:
+tas|tvar|shadcont2Dsfc|-1.|1.|seismic|%g|fixsigc|black:
+wss|tstd|shadcont2Dsfc|-2.|2.|Spectral|%g|fixsigc|black:
+wss|tvar|shadcont2Dsfc|-2.|2.|Spectral|%g|fixsigc|black:
+
+hus|pinterp+tmean+xmean|shadcont2Dzsec|-0.003|0.003|coolwarm|%g|fixsigc|black:
+hur|pinterp+tmean+xmean|shadcont2Dzsec|-0.3|0.3|coolwarm|%g|fixsigc|black:
+ta|pinterp+tmean+xmean|shadcont2Dzsec|-5.|5.|seismic|%g|fixsigc|black:
+ua|pinterp+tmean+xmean|shadcont2Dzsec|-20.|20.|seismic|%g|fixsigc|black:
+va|pinterp+tmean+xmean|shadcont2Dzsec|-3.|3.|seismic|%g|fixsigc|black:
+wa|pinterp+tmean+xmean|shadcont2Dzsec|-0.03|0.03|seismic|%g|fixsigc|black:
+
+clh|xmean|shadconthovmsfc|-0.4|0.4|RdGy|%g|fixsigc|r:
+cll|xmean|shadconthovmsfc|-0.4|0.4|RdGy|%g|fixsigc|k:
+clm|xmean|shadconthovmsfc|-0.4|0.4|RdGy|%g|fixsigc|r:
+clt|xmean|shadconthovmsfc|-0.4|0.4|RdGy|%g|fixsigc|k:
+hfls|xmean|shadconthovmsfc|-100.|100.|BrBG|%g|fixsigc|black:
+hfss|xmean|shadconthovmsfc|-20.|20.|PRGn|%g|fixsigc|black:
+hurs|xmean|shadconthovmsfc|-0.07|0.07|coolwarm|%g|fixsigc|black:
+pr|xmean|shadconthovmsfc|-0.0003|0.0003|seismic|%g|fixsigc|black:
+prw|xmean|shadconthovmsfc|-12.|12.|seismic|%g|fixsigc|black:
+rlds|xmean|shadconthovmsfc|-150.|150.|RdYlBu|%g|fixsigc|black:
+rsds|xmean|shadconthovmsfc|-150.|150.|RdYlBu|%g|fixsigc|black:
+tas|xmean|shadconthovmsfc|-3.|3.|seismic|%g|fixsigc|black:
+uas|xmean|shadconthovmsfc|-15.|15.|seismic|%g|fixsigc|black:
+vas|xmean|shadconthovmsfc|-15.|15.|seismic|%g|fixsigc|black:
+wss|xmean|shadconthovmsfc|-3.|3.|Spectral|%g|fixsigc|black:
+zmla|xmean|shadcont2Dsfc|-600.|600.|RdYlGn|%g|fixsigc|black:
+