Index: trunk/tools/documentation/install.html
===================================================================
--- trunk/tools/documentation/install.html	(revision 1352)
+++ trunk/tools/documentation/install.html	(revision 1356)
@@ -35,5 +35,5 @@
 
       <LI>install netcdf4, python API interface to netCDF files (following <A CLASS="la" HREF="https://github.com/Unidata/netcdf4-python"  TARGET="_blank">https://github.com/Unidata/netcdf4-python</A>)</LI>
-      <DIV CLASS="codetxt"># git clone https://github.com/Unidata/netcdf4-python.git
+      <DIV CLASS="codetxt"># git clone https://github.com/Unidata/netcdf4-python.git<BR>
       cd netcdf4-python/</DIV>
         <UL>
Index: trunk/tools/documentation/other/diagnostics.html
===================================================================
--- trunk/tools/documentation/other/diagnostics.html	(revision 1356)
+++ trunk/tools/documentation/other/diagnostics.html	(revision 1356)
@@ -0,0 +1,65 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      diagnostics
+    </DIV>
+    <DIV CLASS="valimg">
+      Python script to compute diagnostics (new variables) from model outputs<BR>
+      <BR>
+    </DIV>
+    <DIV CLASS="valhelp">
+    diagnostics.py -f [file] -d [dimns] -v [varns]<BR>
+    &nbsp;&nbsp;[file]= netCDF output file<BR>
+    &nbsp;&nbsp;[dimns]=[dimtn]@[dtvn],[dimzn]@[dzvn],[...,[dimxn]@[dxvn]] ',' list with the couples [dimDn]@[dDvn], [dimDn], name of the dimension D and name of the variable [dDvn] with the values of the dimension<BR>
+    &nbsp;&nbsp;[varns]=[varn1]|[var11]@[...[varN1]],[...,[varnM]|[var1M]@[...[varLM]]] ',' list of variables to compute [varnK] and its necessary ones [var1K]...[varPK] (separated by '|')<BR>
+      <BR>
+      Available diagnostics (content of `diagnostics.inf'):<BR>
+      <TABLE ID="t01">
+       <TR><TH>CF Name</TH><TH>Name in script</TH><TH>variables</TH><TH>description</TH></TR>
+         <TR><TD>bils</TD><TD> WRFbils</TD><TD> HFX@LH</TD><TD>total heat surface flux from WRF</TD></TR>
+         <TR><TD>clt</TD><TD> clt</TD><TD> CLDFRA</TD><TD>total cloud cover from WRF</TD></TR>
+         <TR><TD>cll</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>low-level (p > 660 hPa) cloudiness from WRF</TD></TR>
+         <TR><TD>clm</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>mid-level (660 < p > 440 hPa) cloudiness from WRF</TD></TR>
+         <TR><TD>clh</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>high-level (p < 440 hPa) cloudiness from WRF</TD></TR>
+         <TR><TD>hur</TD><TD> LMDZrh</TD><TD> pres@t@r</TD><TD>relative humidity from LMDZ/DYNAMICO</TD></TR>
+         <TR><TD>hur</TD><TD> WRFrh</TD><TD> WRFrh@T@P@PB</TD><TD>relative humidity from WRF</TD></TR>
+         <TR><TD>hurs</TD><TD> LMDZrhs</TD><TD> psol@t2m@q2m</TD><TD>2 m relative humidity from LMDZ/DYNAMICO</TD></TR>
+         <TR><TD>hurs</TD><TD> TSrhs</TD><TD> psfc@t@q</TD><TD>2 m relative humidity from WRF's time-series files</TD></TR>
+         <TR><TD>hurs</TD><TD> WRFrhs</TD><TD> PSFC@T2@Q2</TD><TD>2 m relative humidity from WRF</TD></TR>
+         <TR><TD>p</TD><TD> WRFp</TD><TD> P@PB</TD><TD>air pressure from WRF</TD></TR>
+         <TR><TD>pr</TD><TD> RAINTOT</TD><TD> RAINC@RAINNC@WRFtime</TD><TD>precipitation flux from WRF</TD></TR>
+         <TR><TD>pracc</TD><TD> ACRAINTOT</TD><TD> RAINC@RAINNC@WRFtime</TD><TD>accumulated precipitation from WRF</TD></TR>
+         <TR><TD>prc</TD><TD> WRFprc</TD><TD> deaccum@RAINC@XTIME@prc</TD><TD>convective precipitation flux from WRF</TD></TR>
+         <TR><TD>prls</TD><TD> WRFprls</TD><TD> deaccum@RAINNC@XTIME@prls</TD><TD>large-scale precipitation flux from WRF</TD></TR>
+         <TR><TD>prw</TD><TD> WRFprw</TD><TD> WRFdens@QVAPOR</TD><TD>liquid water path from WRF</TD></TR>
+         <TR><TD>psl</TD><TD> WRFmslp</TD><TD> WRFp@PSFC@HGT@WRFt@QVAPOR</TD><TD>Mean sea level pressure from WRF (following NCAR, C. Bruy&eacute;'s 'pinterp')</TD></TR>
+         <TR><TD>rvor</TD><TD> rvor</TD><TD> U@V</TD><TD>aire relative vorticity from WRF</TD></TR>
+         <TR><TD>rvors</TD><TD> WRFrvors</TD><TD> U10@V10@WRFpos</TD><TD>10 m aire relative vorticity from WRF</TD></TR>
+         <TR><TD>ta</TD><TD> WRFt</TD><TD> T@P@PB</TD><TD>air temperature from WRF</TD></TR>
+         <TR><TD>td</TD><TD> WRFtd</TD><TD> WRFp@WRFt2@QVAPOR</TD><TD>air dew-point temperature from WRF</TD></TR>
+         <TR><TD>tds</TD><TD> TStd</TD><TD> psfc@t@q</TD><TD>2m air dew-point temperature from WRF's time-series files</TD></TR>
+         <TR><TD>tds</TD><TD> WRFtds</TD><TD> PSFC@T2@Q2</TD><TD>2m air dew-point temperature from WRF</TD></TR>
+         <TR><TD>ua</TD><TD> WRFua</TD><TD> U@V@SINALPHA@COSALPHA</TD><TD>eastward wind speed of air from WRF</TD></TR>
+         <TR><TD>va</TD><TD> WRFva</TD><TD> U@V@SINALPHA@COSALPHA</TD><TD>northward wind speed of air from WRF</TD></TR>
+         <TR><TD>wa</TD><TD> OMEGAw</TD><TD> vitw@pres@temp</TD><TD>vertical wind speed from LMDZ</TD></TR>
+         <TR><TD>wds</TD><TD> TSwds</TD><TD> u@v</TD><TD>wind speed direction from WRF's time-series files</TD></TR>
+         <TR><TD>wds</TD><TD> wds</TD><TD> U10@V10</TD><TD>10 m wind speed direction from WRF</TD></TR>
+         <TR><TD>ws</TD><TD> ws</TD><TD> U@V</TD><TD>air wind speed from WRF</TD></TR>
+         <TR><TD>wss</TD><TD> wss</TD><TD> U10@V10</TD><TD>10m wind speed from WRF</TD></TR>
+         <TR><TD>wss</TD><TD> wss</TD><TD> u10m@v10m</TD><TD>10m wind speed from LMDZ/DYNAMICO</TD></TR>
+         <TR><TD>wssturb</TD><TD>turbulence</TD><TD>wss</TD><TD>Wind speed turbulence (Taylor's wss*= < wss > - wss)</TD></TR>
+         <TR><TD>zg</TD><TD>WRFght</TD><TD>PH@PHB</TD><TD>Geopotential height from WRF</TD></TR>
+      </TABLE>
+    </DIV>
+    <DIV CLASS="valins">
+      python diagnostics.py -f wrfout_d01_2001-11-11_00:00:00 -d 'Time@WRFtime,bottom_top@ZNU,south_north@XLAT,west_east@XLONG' -v 'clt|CLDFRA,cllmh|CLDFRA@WRFp'<BR>
+    </DIV>
+  </BODY>
+</HTML>
+